package body MSHTML.IHTMLFontNamesCollection_Object is

   function Get_length
     (This : IHTMLFontNamesCollection_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLFontNamesCollection_Get_length);
   end Get_length;

   function Getu_newEnum
     (This : IHTMLFontNamesCollection_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLFontNamesCollection_Getu_newEnum);
   end Getu_newEnum;

   function item
     (This  : IHTMLFontNamesCollection_Type;
      index : GNATCOM.Types.VARIANT;
      Free  : Boolean := True)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke
        (This,
         IHTMLFontNamesCollection_item,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => index),
         Free);
   end item;

end MSHTML.IHTMLFontNamesCollection_Object;

